--- lxc_roh/src/lxc/namespace.c	2011-10-02 18:57:40.000000000 +0200
+++ lxc/src/lxc/namespace.c	2011-10-02 19:33:22.000000000 +0200
@@ -82,7 +82,7 @@
 	return ret;
 }
 
-int lxc_attach(pid_t pid)
+int lxc_attach(pid_t pid, const char* cgname)
 {
 	char path[MAXPATHLEN];
 	char *ns[] = { "pid", "mnt", "net", "ipc", "uts" };
@@ -104,6 +104,13 @@
 			return -1;
 		}
 	}
+	pid_t cpid = getpid();
+
+	/* Let's add the pid to the 'tasks' file */
+	if (lxc_cgroup_append_task(cgname, cpid)) {
+		SYSERROR("failed to attach pid '%d' to '%s'", cpid, cgname);
+		return -1;
+	}
 
 	for (i = 0; i < size; i++) {
 		if (setns(fd[i], 0)) {
